<?php

/**
 *
 * @package BB3CountDown
 * @copyright (c) 2014 PPK
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 *
 */

namespace ppk\bb3countdown\acp;

/**
 * @ignore
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * @package acp
 */
class bb3countdown_module
{
	public $u_action;

	function main($id, $mode)
	{
		global $config, $request, $template, $user;

		$user->add_lang('acp/common');
		$this->tpl_name = 'acp_bb3countdown';
		$this->page_title = $user->lang('BB3CD_COUNTDOWN');

		$form_key = 'acp_bb3countdown';
		add_form_key($form_key);

		if ($request->is_set_post('submit'))
		{
			if (!check_form_key($form_key))
			{
				trigger_error($user->lang('FORM_INVALID') . adm_back_link($this->u_action), E_USER_WARNING);
			}

			$bb3countdown_precision = $request->variable('bb3countdown_precision', '');
			$config->set('bb3countdown_precision', $bb3countdown_precision);

			$bb3countdown_prefix = $request->variable('bb3countdown_prefix', '', true);
			$config->set('bb3countdown_prefix', $bb3countdown_prefix);

			$bb3countdown_suffix = $request->variable('bb3countdown_suffix', '', true);
			$config->set('bb3countdown_suffix', $bb3countdown_suffix);

			$bb3countdown_passed = $request->variable('bb3countdown_passed', '', true);
			$config->set('bb3countdown_passed', $bb3countdown_passed);

			$bb3countdown_start = $request->variable('bb3countdown_start', '');
			$config->set('bb3countdown_start', $bb3countdown_start);

			$bb3countdown_end = $request->variable('bb3countdown_end', '');
			$config->set('bb3countdown_end', $bb3countdown_end);

			$bb3countdown_precisionspeed = $request->variable('bb3countdown_precisionspeed', '');
			$config->set('bb3countdown_precisionspeed', $bb3countdown_precisionspeed);

			trigger_error($user->lang['CONFIG_UPDATED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'BB3CD_PRECISION'       => isset($config['bb3countdown_precision']) ? $config['bb3countdown_precision'] : false,
			'BB3CD_PREFIX'       => isset($config['bb3countdown_prefix']) ? $config['bb3countdown_prefix'] : false,
			'BB3CD_SUFFIX'       => isset($config['bb3countdown_suffix']) ? $config['bb3countdown_suffix'] : false,
			'BB3CD_PASSED'       => isset($config['bb3countdown_passed']) ? $config['bb3countdown_passed'] : false,
			'BB3CD_START'       => isset($config['bb3countdown_start']) ? $config['bb3countdown_start'] : false,
			'BB3CD_END'       => isset($config['bb3countdown_end']) ? $config['bb3countdown_end'] : false,
			'BB3CD_PRECISIONSPEED'       => isset($config['bb3countdown_precisionspeed']) ? $config['bb3countdown_precisionspeed'] : false,

			'U_ACTION'       => $this->u_action,
		));
	}
}

?>