<?php

/**
*
* @package BB3CountDown
* @copyright (c) 2014 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3countdown\migrations;

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

class manage_bb3countdown extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['bb3countdown_version']);
	}

	public function update_data()
	{
		return array(

			// Remove old config if it exists
			array('if', array(
				(isset($this->config['bb3countdown_precision'])),
				array('config.remove', array('bb3countdown_precision')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_prefix'])),
				array('config.remove', array('bb3countdown_prefix')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_suffix'])),
				array('config.remove', array('bb3countdown_suffix')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_passed'])),
				array('config.remove', array('bb3countdown_passed')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_start'])),
				array('config.remove', array('bb3countdown_start')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_end'])),
				array('config.remove', array('bb3countdown_end')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_precisionspeed'])),
				array('config.remove', array('bb3countdown_precisionspeed')),
			)),
			array('if', array(
				(isset($this->config['bb3countdown_version'])),
				array('config.remove', array('bb3countdown_version')),
			)),

			// Add new config vars
			array('config.add', array('bb3countdown_precision', 's')),
			array('config.add', array('bb3countdown_prefix', '')),
			array('config.add', array('bb3countdown_suffix', '')),
			array('config.add', array('bb3countdown_passed', '')),
			array('config.add', array('bb3countdown_start', '')),
			array('config.add', array('bb3countdown_end', '')),
			array('config.add', array('bb3countdown_precisionspeed', '')),
			array('config.add', array('bb3countdown_version', '1.0.0')),

			array('if', array(
				array('module.exists', array('acp', 'ACP_CAT_DOT_MODS', 'BB3COUNTDOWN_MOD')),
				array('module.remove', array('acp', 'ACP_CAT_DOT_MODS', 'BB3COUNTDOWN_MOD')),
			)),

			// Add new modules
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'BB3CD_COUNTDOWN'
			)),

			array('module.add', array(
				'acp',
				'BB3CD_COUNTDOWN',
				array(
					'module_basename'	=> '\ppk\bb3countdown\acp\bb3countdown_module',
					'modes'	=> array('bb3countdown_config'),
				),
			)),
		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('bb3countdown_precision')),
			array('config.remove', array('bb3countdown_prefix')),
			array('config.remove', array('bb3countdown_suffix')),
			array('config.remove', array('bb3countdown_passed')),
			array('config.remove', array('bb3countdown_start')),
			array('config.remove', array('bb3countdown_end')),
			array('config.remove', array('bb3countdown_precisionspeed')),
			array('config.remove', array('bb3countdown_version')),

			array('module.remove', array(
				'acp',
				'BB3CD_COUNTDOWN',
				array(
					'module_basename'	=> '\ppk\bb3countdown\acp\bb3countdown_module',
					'modes'	=> array('bb3countdown_config'),
				),
			)),
			array('module.remove', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'BB3CD_COUNTDOWN'
			)),
		);
	}
}